Bug 81512 - Undo: Writer fails to restore Table Name
Summary: Undo: Writer fails to restore Table Name
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2014-07-18 20:57 UTC by reporter_of_bugs
Modified: 2018-04-22 02:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description reporter_of_bugs 2014-07-18 20:57:31 UTC
Applies to Version: 4.3.0.3
Build ID: 08ebe52789a201dd7d38ef653ef7a48925e7f9f7
(I can't find this version in the dropdown list. I've notified jorendc via IRC)

Steps to reproduce:
1. Open a new writer document
2. create a 1x1 table
3. enter 'apple' in cell A1 of the table
4. Select the table or leave the cursor in the cell A1.
5. From the menu choose 'Table>Table Properties'
6. On the 'Table' tab, under 'Properties' change 'Name:' to 'tbl01' & click 'OK'
7. Select the table or leave the cursor in the cell A1.
8. From the menu, choose 'Table>Delete>Table'
9. From the menu, choose 'Edit>Undo: delete Table'
10. From the menu choose 'Table>Table Properties' and note 'Name:' has reverted to 'Table1 

Also present in:
Version: 4.2.6.1
Build ID: 5fdddf655fba363e34f755715238d0943a44857e

Background: I manually deleted a named table in one of my templates, undid that and then spent a lot of time wondering why my macro code couldn't find that table.
Comment 1 tommy27 2014-07-18 23:25:03 UTC
(In reply to comment #0)
> Applies to Version: 4.3.0.3
> Build ID: 08ebe52789a201dd7d38ef653ef7a48925e7f9f7
> (I can't find this version in the dropdown list. I've notified jorendc via
> IRC)

I posted a message to the QA list as well.


> Also present in:
> Version: 4.2.6.1
> Build ID: 5fdddf655fba363e34f755715238d0943a44857e

so version should always indicate earlier version the bug has been seen for the first time.

anyway since this issue is reproducible with 4.4 master and older LibO release, OOo 3.3.0 and AOO 4.1.0 as well, I change version field to "Inherited from OOo"

p.s. tested under Win7x64
Comment 2 QA Administrators 2015-09-04 02:49:44 UTC Comment hidden (obsolete)
Comment 3 reporter_of_bugs 2015-09-15 22:08:09 UTC
LO 5.0.1.2 x86_64
Bug still exists with no change in behaviour.
Comment 4 reporter_of_bugs 2015-09-16 23:51:11 UTC
Just tested on LO 3.3. 
Bug is still present.
Comment 5 QA Administrators 2016-09-20 10:32:21 UTC Comment hidden (obsolete)
Comment 6 reporter_of_bugs 2016-10-03 19:05:37 UTC
Bug still exists. Tested in LO 5.2.1. 

I previously tested the bug in LO 3.3, see https://bugs.documentfoundation.org/show_bug.cgi?id=81512#c4
Comment 7 QA Administrators 2018-04-22 02:32:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug